"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class UnthinkGenerator {
    constructor(generatorBackend) {
        this.resourceDefinitions = [];
        this.generatorBackend = generatorBackend;
    }
    add(resourceDefinition) {
        this.resourceDefinitions.push(resourceDefinition);
        return this;
    }
    generate() {
        this.generatorBackend.generate(this.resourceDefinitions);
    }
}
exports.UnthinkGenerator = UnthinkGenerator;
//# sourceMappingURL=unthink-generator.js.map